#
# Conditional build:
%bcond_without	tests		# build without tests

%define	basever	3.17
%define	postver	0
Summary:	Linux kernel headers for use with C libraries
Summary(pl.UTF-8):	Nagłówki jądra Linuksa do użytku z bibliotekami C
Name:		linux-libc-headers
Version:	%{basever}.%{postver}
Release:	1
Epoch:		7
License:	GPL v2
Group:		Development
Source0:	https://www.kernel.org/pub/linux/kernel/v3.x/linux-%{basever}.tar.xz
# Source0-md5:	fb30d0f29214d75cddd2faa94f73d5cf
%if "%{postver}" > "0"
Source1:	https://www.kernel.org/pub/linux/kernel/v3.x/patch-%{version}.xz
# Source1-md5:	9da4b0f5e343455b8141bcfa47e88cf5
%endif
Patch0:		%{name}-esfq.patch
Patch1:		%{name}-wrr.patch
Patch2:		%{name}-fbsplash.patch
Patch3:		%{name}-imq.patch
Patch4:		%{name}-pom-set.patch
Patch5:		%{name}-atm-vbr.patch
Patch6:		vserver.patch
AutoReqProv:	no
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.568
Requires(pretrans):	coreutils
Obsoletes:	alsa-driver-devel
Obsoletes:	glibc-kernel-headers
Obsoletes:	glibc-kernheaders
Conflicts:	lm_sensors-devel < 2.8.2-2
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc ppc64
%define	target_arch powerpc
%else
%define	target_arch %{_target_base_arch}
%endif

# no objects to extract debug info from
%define		_enable_debug_packages	0

%description
This package includes the C header files that specify the interface
between the Linux kernel and userspace libraries and programs. The
header files define structures and constants that are needed for
building most standard programs and are also needed for rebuilding the
glibc package.

%description -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe C, które definiują interfejs
między jądrem Linuksa a bibliotekami i programami działającymi w
przestrzeni użytkownika. Pliki nagłówkowe definiują struktury i stałe
potrzebne do zbudowania większości standardowych programów, są także
potrzebne do przebudowania pakietu glibc.

%prep
%setup -q -c
cd linux-%{basever}
%if "%{postver}" > "0"
bzip2 -dc %{SOURCE1} | patch -p1
%endif
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C linux-%{basever} headers_install \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}

%if %{with tests}
%{__make} -C linux-%{basever} headers_check \
	INSTALL_HDR_PATH=$RPM_BUILD_ROOT%{_prefix} \
	ARCH=%{target_arch}
%endif

# provided by glibc-headers
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/scsi

# currently provided by libdrm-devel
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/drm

# trash
find $RPM_BUILD_ROOT%{_includedir} -type f \
	-name '..check.cmd' -o -name '.check' -o \
	-name '..install.cmd' -o -name '.install' \
| xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
[ ! -L /usr/include/linux ] || rm -f /usr/include/linux
[ ! -L /usr/include/asm ] || rm -f /usr/include/asm
[ ! -L /usr/include/sound ] || rm -f /usr/include/sound

%files
%defattr(644,root,root,755)
%{_includedir}/asm
%{_includedir}/asm-generic
%{_includedir}/linux
%{_includedir}/mtd
%{_includedir}/rdma
%{_includedir}/sound
%{_includedir}/video
%{_includedir}/xen
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/linux-libc-headers.git;a=log;h=master

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 9ca8513
- updated to 3.17[.0]

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 5c9ec9e
- updated to 3.16.1

* Sun Jul 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 569d233
- up to 3.15.6

* Tue Jun 10 2014 Jakub Bogusz <qboosh@pld-linux.org> e1da4ec
- updated to 3.15[.0]

* Tue Jun 10 2014 Elan Ruusamäe <glen@delfi.ee> 70b2d04
- pretrans needs coreutils

* Tue Apr 01 2014 Jakub Bogusz <qboosh@pld-linux.org> dfa75ba
- updated to 3.14[.0]

* Tue Feb 04 2014 Elan Ruusamäe <glen@delfi.ee> 3037aec
- avoid self-obsoletion by dropping 10 year old provides

* Tue Jan 21 2014 Jakub Bogusz <qboosh@pld-linux.org> f401ab8
- updated to 3.13[.0]

* Mon Dec 23 2013 Marcin Krol <hawk@tld-linux.org> b4f5229
- updated to 3.12.6

* Mon Nov 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 190ecb2
- updated to 3.12[.0]
- updated wrr patch

* Wed Oct 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f624005
- up to 3.11.5

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e39b26
- updated to 3.11

* Tue Jul 16 2013 Marcin Krol <hawk@tld-linux.org> 575dab1
- updated to 3.10.1

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 95938f7
- updated to 3.10[.0]

* Thu Jun 20 2013 Marcin Krol <hawk@tld-linux.org> c564ee4
- up to 3.9.6

* Fri Jun 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9194b58
- up to 3.9.5

* Tue May 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 06fceff
- updated to 3.9[.0]
- removed obsolete endian patch

* Tue Mar 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 28947a4
- up to 3.8.2

* Tue Feb 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 0524f0e
- updated to 3.8.0

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cafa47
- up to 3.7.8

